import { BaseProvider } from '#templates/base/provider';
import { SystemConfig } from '#models/SystemConfig';

export class SystemConfigProvider extends BaseProvider<SystemConfig> {
	public static instance: SystemConfigProvider;

	public static getInstance(): SystemConfigProvider {
		SystemConfigProvider.instance ??= new SystemConfigProvider();
		return SystemConfigProvider.instance;
	}

	public static get model() {
		return SystemConfig;
	}

	constructor() {
		super('SystemConfig');
	}
}
